## org.eclipse.emf.query.statements
Class UPDATE

    java.lang.Object
      org.eclipse.emf.query.internal.statements.QueryStatement
          org.eclipse.emf.query.statements.SELECT
              org.eclipse.emf.query.statements.UPDATE

All Implemented Interfaces:
  IEObjectSource

    public class UPDATE

extends SELECT

The update statement extends the behaviour of the `SELECT` statement to include the `SET` clause that allows some operation to be performed on each of the result EObjects.

Field Summary

Fields inherited from class org.eclipse.emf.query.statements.SELECT
`UNBOUNDED`

Fields inherited from class org.eclipse.emf.query.internal.statements.QueryStatement
`WORK_UNIT`

Constructor Summary
`UPDATE(boolean cancellable, FROM from, WHERE where, SET set)`
`UPDATE(FROM from, WHERE where, SET set)`
`UPDATE(int maximumResultSize, boolean cancellable, FROM from, WHERE where, SET set)`
`UPDATE(int maximumResultSize, FROM from, WHERE where, SET set)`

Method Summary
`protected void` `addEObject(EObject eObject)`

Methods inherited from class org.eclipse.emf.query.statements.SELECT
`canBeResumed, doExecute, doResume, execute, getEObjects, handleException, isCancelled, resume`

Methods inherited from class org.eclipse.emf.query.internal.statements.QueryStatement
`getProgressMonitor, getResultSet, isCancellable, setProgressMonitor, setResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UPDATE

    public UPDATE(FROM from,
                  WHERE where,
                  SET set)

### UPDATE

    public UPDATE(boolean cancellable,
                  FROM from,
                  WHERE where,
                  SET set)

### UPDATE

    public UPDATE(int maximumResultSize,
                  FROM from,
                  WHERE where,
                  SET set)

### UPDATE

    public UPDATE(int maximumResultSize,
                  boolean cancellable,
                  FROM from,
                  WHERE where,
                  SET set)

Method Detail

### addEObject

    protected void addEObject(EObject eObject)

  Overrides:
    `addEObject` in class `SELECT`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.